#!/bin/bash -x
#
# Do 2nd steps required for the FDR run
#
# obtain jobID and confID saved from part 1 
#
# check to see if previous context exists 
# create tmp directory for spc1 if it does not exist 
REPOSITORY=/cygdrive/c/Users/Administrator/Desktop/dx600s4spc1v3/Repository

SPCTMP=/tmp/dx600s4spc1v3
if [ ! -d ${SPCTMP} ]; then      
	echo Error!
	exit
else
	confID=`cat ${SPCTMP}/lastconfID`
	jobID=`cat ${SPCTMP}/lastjobID`
	WORKDIR=`cat ${SPCTMP}/WORKDIR`
	JAVAPARMS=`cat ${SPCTMP}/JAVAPARMS`
	NSLAVES=`cat ${SPCTMP}/NSLAVES`
	EXPORTLOG=`cat ${SPCTMP}/EXPORTLOG`
	EXPORTCFG=`cat ${SPCTMP}/EXPORTCFG`
	VDBENCH=`cat ${SPCTMP}/VDBENCH`
	JAVA=`cat ${SPCTMP}/JAVA`
	ROOT=`cat ${SPCTMP}/ROOT`
	SCRIPTS=`cat ${SPCTMP}/SCRIPTS`
        PERSIOPS=`cat ${SPCTMP}/PERSIOPS`
        TUNING=`cat ${SPCTMP}/TUNING`
fi
export SPCTMP
export confID
export jobID
export WORKDIR 
export JAVAPARMS
export NSLAVES
export EXPORTLOG
export EXPORTCFG
export VDBENCH
export JAVA
export ROOT
export SCRIPTS
export TUNING

#setuplinux
#
$TUNING/setupLinux.sh
for h in rx14 rx15 rx16 
do
ssh root@$h  "cd ${HOME}/06_Tunables;./setupLinux.sh"
done


#
#  Run Persistence Test log
#
cd ${WORKDIR}/09_Results
spc1 -master SPC1.${confID}.hst -run SPC1_PERSIST_2  -iops $PERSIOPS -storage SPC1.${confID}.asu
#
# Save after log
#
cd $WORKDIR
echo "Starting DX600S4 AfterJ log save Job=$jobID at `date`" | tee -a ${SPCTMP}/${jobID}_message.txt
${SCRIPTS}/${EXPORTLOG} $jobID AfterJ
${EXPORTCFG} ssh dx600s4 root 04_Repository/${jobID}_AfterJ.log
echo "Completed DX600S4 AfterJ log save Job=${jobID} at `date`" | tee -a ${SPCTMP}/${jobID}_message.txt
echo "current time = `date`."
echo "Completed DX600S4 FDR job All steps for Job=${jobID} at `date`" | tee -a ${SPCTMP}/${jobID}_message.txt
echo "Zip up directory /home/spc1/fdrwork/${jobID}, Collect All FDR data and send to repository " | tee -a ${SPCTMP}/${jobID}_message.txt
mv ${SPCTMP}/${jobID}_message.txt ${WORKDIR}/10_Reference_Info/
sync
cp ${SCRIPTS}/nohup.out ${WORKDIR}/10_Reference_Info/nohup_${jobID}.out
cd ${WORKDIR}/..
zip -r ${jobID} ${jobID}
scp ${jobID}.zip Administrator@gw:${REPOSITORY}
echo Archive copied to ${REPOSITORY}/${jobID}.zip
